> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances

> Retrieves the balances of account(s).



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /accounts/balances
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts/balances:
    get:
      tags:
        - Accounts
      summary: Get Balances
      description: Retrieves the balances of account(s).
      parameters:
        - name: asset
          in: query
          description: Search results by asset
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/AccountId'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
      responses:
        '200':
          description: Successfully retrieved balances
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      balances:
                        type: array
                        items:
                          type: object
                          properties:
                            accountId:
                              type: string
                              format: uuid
                              description: Account ID
                            assets:
                              type: array
                              items:
                                $ref: '#/components/schemas/AssetBalance'
components:
  parameters:
    AccountId:
      name: accountId
      in: query
      description: Filter by one or more account id
      schema:
        type: array
        items:
          type: string
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    AssetBalance:
      type: object
      description: Balance of an asset / currency symbol
      properties:
        asset:
          type: string
          description: Asset symbol or currency
          example: USD
        balance:
          type: number
          description: Ledger balance
          example: 1000000
        available:
          type: number
          description: >-
            Available / usable balance taking into account unsettled
            transactions
          example: 950000
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````